#pragma once
#include "stdarg.h"

#define islower(c)  (('a' <= (c)) && ((c) <= 'z'))
#define isupper(c)  (('A' <= (c)) && ((c) <= 'Z'))
#define isdigit(c)  (('0' <= (c)) && ((c) <= '9'))
#define isspace(c)  (((c) == ' ') || ((c) == '\t') || \
                    ((c) == '\f') || ((c) == '\n') || \
                    ((c) == '\r') || ((c) == '\v'))
#define isprint(c)  ((' ' <= (c)) && ((c) <= '~'))

void *memcpy(void *dest, const void *src, size_t n);
void *memset(void *s, int c, size_t n);
char *itoa(int value, char *str, int base);
void reverse(char s[]);
int strlen(char s[]);
int strcmp(char s1[], char s2[]);
